# Snapshot report for `test/no-array-push-push.mjs`

The actual snapshot is saved in `no-array-push-push.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | foo.push(1);
      2 | foo.push(2);

> Output

    `␊
      1 | foo.push(1, 2);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1);␊
    > 2 | foo.push(2);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #2
      1 | (foo.push)(1);
      2 | (foo.push)(2);

> Output

    `␊
      1 | (foo.push)(1, 2);␊
    `

> Error 1/1

    `␊
      1 | (foo.push)(1);␊
    > 2 | (foo.push)(2);␊
        |      ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #3
      1 | foo.bar.push(1);
      2 | foo.bar.push(2);

> Output

    `␊
      1 | foo.bar.push(1, 2);␊
    `

> Error 1/1

    `␊
      1 | foo.bar.push(1);␊
    > 2 | foo.bar.push(2);␊
        |         ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #4
      1 | foo.push(1);
      2 | (foo).push(2);

> Output

    `␊
      1 | foo.push(1, 2);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1);␊
    > 2 | (foo).push(2);␊
        |       ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #5
      1 | foo.push();
      2 | foo.push();

> Output

    `␊
      1 | foo.push();␊
    `

> Error 1/1

    `␊
      1 | foo.push();␊
    > 2 | foo.push();␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #6
      1 | foo.push(1);
      2 | foo.push();

> Output

    `␊
      1 | foo.push(1);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1);␊
    > 2 | foo.push();␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #7
      1 | foo.push();
      2 | foo.push(2);

> Output

    `␊
      1 | foo.push(2);␊
    `

> Error 1/1

    `␊
      1 | foo.push();␊
    > 2 | foo.push(2);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #8
      1 | foo.push(1, 2);
      2 | foo.push((3), (4));

> Output

    `␊
      1 | foo.push(1, 2, (3), (4));␊
    `

> Error 1/1

    `␊
      1 | foo.push(1, 2);␊
    > 2 | foo.push((3), (4));␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #9
      1 | foo.push(1, 2,);
      2 | foo.push(3, 4);

> Output

    `␊
      1 | foo.push(1, 2, 3, 4);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1, 2,);␊
    > 2 | foo.push(3, 4);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #10
      1 | foo.push(1, 2);
      2 | foo.push(3, 4,);

> Output

    `␊
      1 | foo.push(1, 2, 3, 4,);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1, 2);␊
    > 2 | foo.push(3, 4,);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #11
      1 | foo.push(1, 2,);
      2 | foo.push(3, 4,);

> Output

    `␊
      1 | foo.push(1, 2, 3, 4,);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1, 2,);␊
    > 2 | foo.push(3, 4,);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #12
      1 | foo.push(1, 2, ...a,);
      2 | foo.push(...b,);

> Output

    `␊
      1 | foo.push(1, 2, ...a, ...b,);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1, 2, ...a,);␊
    > 2 | foo.push(...b,);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #13
      1 | foo.push(bar());
      2 | foo.push(1);

> Output

    `␊
      1 | foo.push(bar(), 1);␊
    `

> Error 1/1

    `␊
      1 | foo.push(bar());␊
    > 2 | foo.push(1);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #14
      1 | foo.push(1);
      2 | foo.push(bar());

> Error 1/1

    `␊
      1 | foo.push(1);␊
    > 2 | foo.push(bar());␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Merge with previous one.␊
      1 | foo.push(1, bar());␊
    `

## Invalid #15
      1 | foo.push(1,);
      2 | foo.push(2,);
      3 | foo.push(3,);

> Output

    `␊
      1 | foo.push(1, 2, 3,);␊
    `

> Error 1/2

    `␊
      1 | foo.push(1,);␊
    > 2 | foo.push(2,);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
      3 | foo.push(3,);␊
    `

> Error 2/2

    `␊
      1 | foo.push(1,);␊
      2 | foo.push(2,);␊
    > 3 | foo.push(3,);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #16
      1 | if (a) {
      2 | 	foo.push(1);
      3 | 	foo.push(2);
      4 | }

> Output

    `␊
      1 | if (a) {␊
      2 | 	foo.push(1, 2);␊
      3 | }␊
    `

> Error 1/1

    `␊
      1 | if (a) {␊
      2 | 	foo.push(1);␊
    > 3 | 	foo.push(2);␊
        | 	    ^^^^ Do not call \`Array#push()\` multiple times.␊
      4 | }␊
    `

## Invalid #17
      1 | switch (a) {
      2 | 	default:
      3 | 		foo.push(1);
      4 | 		foo.push(2);
      5 | }

> Output

    `␊
      1 | switch (a) {␊
      2 | 	default:␊
      3 | 		foo.push(1, 2);␊
      4 | }␊
    `

> Error 1/1

    `␊
      1 | switch (a) {␊
      2 | 	default:␊
      3 | 		foo.push(1);␊
    > 4 | 		foo.push(2);␊
        | 		    ^^^^ Do not call \`Array#push()\` multiple times.␊
      5 | }␊
    `

## Invalid #18
      1 | function a() {
      2 | 	foo.push(1);
      3 | 	foo.push(2);
      4 | }

> Output

    `␊
      1 | function a() {␊
      2 | 	foo.push(1, 2);␊
      3 | }␊
    `

> Error 1/1

    `␊
      1 | function a() {␊
      2 | 	foo.push(1);␊
    > 3 | 	foo.push(2);␊
        | 	    ^^^^ Do not call \`Array#push()\` multiple times.␊
      4 | }␊
    `

## Invalid #19
      1 | foo.push(1)
      2 | foo.push(2)
      3 | ;[foo].forEach(bar)

> Output

    `␊
      1 | foo.push(1, 2);[foo].forEach(bar)␊
    `

> Error 1/1

    `␊
      1 | foo.push(1)␊
    > 2 | foo.push(2)␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
      3 | ;[foo].forEach(bar)␊
    `

## Invalid #20
      1 | foo.bar.push(1);
      2 | (foo)['bar'].push(2);

> Output

    `␊
      1 | foo.bar.push(1, 2);␊
    `

> Error 1/1

    `␊
      1 | foo.bar.push(1);␊
    > 2 | (foo)['bar'].push(2);␊
        |              ^^^^ Do not call \`Array#push()\` multiple times.␊
    `

## Invalid #21
      1 | foo.push(1);
      2 | foo.push(2);
      3 | stream.push(1);
      4 | stream.push(2);

> Output

    `␊
      1 | foo.push(1, 2);␊
      2 | stream.push(1);␊
      3 | stream.push(2);␊
    `

> Error 1/1

    `␊
      1 | foo.push(1);␊
    > 2 | foo.push(2);␊
        |     ^^^^ Do not call \`Array#push()\` multiple times.␊
      3 | stream.push(1);␊
      4 | stream.push(2);␊
    `

## Invalid #22
      1 | foo.bar.push(1);
      2 | foo.bar.push(2);
      3 | foo.push(1);
      4 | foo.push(2);
      5 | bar.foo.push(1);
      6 | bar.foo.push(2);

> Options

    `␊
    [␊
      {␊
        "ignore": [␊
          "foo",␊
          "foo.bar"␊
        ]␊
      }␊
    ]␊
    `

> Output

    `␊
      1 | foo.bar.push(1);␊
      2 | foo.bar.push(2);␊
      3 | foo.push(1);␊
      4 | foo.push(2);␊
      5 | bar.foo.push(1, 2);␊
    `

> Error 1/1

    `␊
      1 | foo.bar.push(1);␊
      2 | foo.bar.push(2);␊
      3 | foo.push(1);␊
      4 | foo.push(2);␊
      5 | bar.foo.push(1);␊
    > 6 | bar.foo.push(2);␊
        |         ^^^^ Do not call \`Array#push()\` multiple times.␊
    `
