# Snapshot report for `test/no-zero-fractions.mjs`

The actual snapshot is saved in `no-zero-fractions.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const foo = 1.0

> Output

    `␊
      1 | const foo = 1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1.0␊
        |              ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #2
      1 | const foo = 1.0 + 1

> Output

    `␊
      1 | const foo = 1 + 1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1.0 + 1␊
        |              ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #3
      1 | foo(1.0 + 1)

> Output

    `␊
      1 | foo(1 + 1)␊
    `

> Error 1/1

    `␊
    > 1 | foo(1.0 + 1)␊
        |      ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #4
      1 | const foo = 1.00

> Output

    `␊
      1 | const foo = 1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1.00␊
        |              ^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #5
      1 | const foo = 1.00000

> Output

    `␊
      1 | const foo = 1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1.00000␊
        |              ^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #6
      1 | const foo = -1.0

> Output

    `␊
      1 | const foo = -1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = -1.0␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #7
      1 | const foo = 123123123.0

> Output

    `␊
      1 | const foo = 123123123␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 123123123.0␊
        |                      ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #8
      1 | const foo = 123.11100000000

> Output

    `␊
      1 | const foo = 123.111␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 123.11100000000␊
        |                    ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #9
      1 | const foo = 1.

> Output

    `␊
      1 | const foo = 1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1.␊
        |              ^ Don't use a dangling dot in the number.␊
    `

## Invalid #10
      1 | const foo = +1.

> Output

    `␊
      1 | const foo = +1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = +1.␊
        |               ^ Don't use a dangling dot in the number.␊
    `

## Invalid #11
      1 | const foo = -1.

> Output

    `␊
      1 | const foo = -1␊
    `

> Error 1/1

    `␊
    > 1 | const foo = -1.␊
        |               ^ Don't use a dangling dot in the number.␊
    `

## Invalid #12
      1 | const foo = 1.e10

> Output

    `␊
      1 | const foo = 1e10␊
    `

> Error 1/1

    `␊
    > 1 | const foo = 1.e10␊
        |              ^ Don't use a dangling dot in the number.␊
    `

## Invalid #13
      1 | const foo = +1.e-10

> Output

    `␊
      1 | const foo = +1e-10␊
    `

> Error 1/1

    `␊
    > 1 | const foo = +1.e-10␊
        |               ^ Don't use a dangling dot in the number.␊
    `

## Invalid #14
      1 | const foo = -1.e+10

> Output

    `␊
      1 | const foo = -1e+10␊
    `

> Error 1/1

    `␊
    > 1 | const foo = -1.e+10␊
        |               ^ Don't use a dangling dot in the number.␊
    `

## Invalid #15
      1 | const foo = (1.).toString()

> Output

    `␊
      1 | const foo = (1).toString()␊
    `

> Error 1/1

    `␊
    > 1 | const foo = (1.).toString()␊
        |               ^ Don't use a dangling dot in the number.␊
    `

## Invalid #16
      1 | +123_000.;

> Output

    `␊
      1 | +123_000;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #17
      1 | -123_000.;

> Output

    `␊
      1 | -123_000;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #18
      1 | +123_000.e1;

> Output

    `␊
      1 | +123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e1;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #19
      1 | -123_000.e1;

> Output

    `␊
      1 | -123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e1;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #20
      1 | +123_000.e+1;

> Output

    `␊
      1 | +123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e+1;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #21
      1 | -123_000.e+1;

> Output

    `␊
      1 | -123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e+1;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #22
      1 | +123_000.e-1;

> Output

    `␊
      1 | +123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e-1;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #23
      1 | -123_000.e-1;

> Output

    `␊
      1 | -123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e-1;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #24
      1 | +123_000.e0;

> Output

    `␊
      1 | +123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e0;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #25
      1 | -123_000.e0;

> Output

    `␊
      1 | -123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e0;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #26
      1 | +123_000.e+0;

> Output

    `␊
      1 | +123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e+0;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #27
      1 | -123_000.e+0;

> Output

    `␊
      1 | -123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e+0;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #28
      1 | +123_000.e-0;

> Output

    `␊
      1 | +123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e-0;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #29
      1 | -123_000.e-0;

> Output

    `␊
      1 | -123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e-0;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #30
      1 | +123_000.e10;

> Output

    `␊
      1 | +123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #31
      1 | -123_000.e10;

> Output

    `␊
      1 | -123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #32
      1 | +123_000.e+10;

> Output

    `␊
      1 | +123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e+10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #33
      1 | -123_000.e+10;

> Output

    `␊
      1 | -123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e+10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #34
      1 | +123_000.e-10;

> Output

    `␊
      1 | +123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.e-10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #35
      1 | -123_000.e-10;

> Output

    `␊
      1 | -123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.e-10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #36
      1 | +123_000.E-10;

> Output

    `␊
      1 | +123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.E-10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #37
      1 | -123_000.E-10;

> Output

    `␊
      1 | -123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.E-10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #38
      1 | +123_000.E-10_10;

> Output

    `␊
      1 | +123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.E-10_10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #39
      1 | -123_000.E-10_10;

> Output

    `␊
      1 | -123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.E-10_10;␊
        |         ^ Don't use a dangling dot in the number.␊
    `

## Invalid #40
      1 | +123_000.0;

> Output

    `␊
      1 | +123_000;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #41
      1 | -123_000.0;

> Output

    `␊
      1 | -123_000;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #42
      1 | +123_000.0e1;

> Output

    `␊
      1 | +123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e1;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #43
      1 | -123_000.0e1;

> Output

    `␊
      1 | -123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e1;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #44
      1 | +123_000.0e+1;

> Output

    `␊
      1 | +123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e+1;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #45
      1 | -123_000.0e+1;

> Output

    `␊
      1 | -123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e+1;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #46
      1 | +123_000.0e-1;

> Output

    `␊
      1 | +123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e-1;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #47
      1 | -123_000.0e-1;

> Output

    `␊
      1 | -123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e-1;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #48
      1 | +123_000.0e0;

> Output

    `␊
      1 | +123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #49
      1 | -123_000.0e0;

> Output

    `␊
      1 | -123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #50
      1 | +123_000.0e+0;

> Output

    `␊
      1 | +123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e+0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #51
      1 | -123_000.0e+0;

> Output

    `␊
      1 | -123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e+0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #52
      1 | +123_000.0e-0;

> Output

    `␊
      1 | +123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e-0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #53
      1 | -123_000.0e-0;

> Output

    `␊
      1 | -123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e-0;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #54
      1 | +123_000.0e10;

> Output

    `␊
      1 | +123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #55
      1 | -123_000.0e10;

> Output

    `␊
      1 | -123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #56
      1 | +123_000.0e+10;

> Output

    `␊
      1 | +123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e+10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #57
      1 | -123_000.0e+10;

> Output

    `␊
      1 | -123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e+10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #58
      1 | +123_000.0e-10;

> Output

    `␊
      1 | +123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0e-10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #59
      1 | -123_000.0e-10;

> Output

    `␊
      1 | -123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0e-10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #60
      1 | +123_000.0E-10;

> Output

    `␊
      1 | +123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0E-10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #61
      1 | -123_000.0E-10;

> Output

    `␊
      1 | -123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0E-10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #62
      1 | +123_000.0E-10_10;

> Output

    `␊
      1 | +123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.0E-10_10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #63
      1 | -123_000.0E-10_10;

> Output

    `␊
      1 | -123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.0E-10_10;␊
        |         ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #64
      1 | +123_000.000;

> Output

    `␊
      1 | +123_000;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #65
      1 | -123_000.000;

> Output

    `␊
      1 | -123_000;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #66
      1 | +123_000.000e1;

> Output

    `␊
      1 | +123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e1;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #67
      1 | -123_000.000e1;

> Output

    `␊
      1 | -123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e1;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #68
      1 | +123_000.000e+1;

> Output

    `␊
      1 | +123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e+1;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #69
      1 | -123_000.000e+1;

> Output

    `␊
      1 | -123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e+1;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #70
      1 | +123_000.000e-1;

> Output

    `␊
      1 | +123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e-1;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #71
      1 | -123_000.000e-1;

> Output

    `␊
      1 | -123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e-1;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #72
      1 | +123_000.000e0;

> Output

    `␊
      1 | +123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e0;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #73
      1 | -123_000.000e0;

> Output

    `␊
      1 | -123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e0;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #74
      1 | +123_000.000e+0;

> Output

    `␊
      1 | +123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e+0;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #75
      1 | -123_000.000e+0;

> Output

    `␊
      1 | -123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e+0;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #76
      1 | +123_000.000e-0;

> Output

    `␊
      1 | +123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e-0;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #77
      1 | -123_000.000e-0;

> Output

    `␊
      1 | -123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e-0;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #78
      1 | +123_000.000e10;

> Output

    `␊
      1 | +123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #79
      1 | -123_000.000e10;

> Output

    `␊
      1 | -123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #80
      1 | +123_000.000e+10;

> Output

    `␊
      1 | +123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e+10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #81
      1 | -123_000.000e+10;

> Output

    `␊
      1 | -123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e+10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #82
      1 | +123_000.000e-10;

> Output

    `␊
      1 | +123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000e-10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #83
      1 | -123_000.000e-10;

> Output

    `␊
      1 | -123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000e-10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #84
      1 | +123_000.000E-10;

> Output

    `␊
      1 | +123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000E-10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #85
      1 | -123_000.000E-10;

> Output

    `␊
      1 | -123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000E-10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #86
      1 | +123_000.000E-10_10;

> Output

    `␊
      1 | +123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000E-10_10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #87
      1 | -123_000.000E-10_10;

> Output

    `␊
      1 | -123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000E-10_10;␊
        |         ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #88
      1 | +123_000.000_000;

> Output

    `␊
      1 | +123_000;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #89
      1 | -123_000.000_000;

> Output

    `␊
      1 | -123_000;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #90
      1 | +123_000.000_000e1;

> Output

    `␊
      1 | +123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e1;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #91
      1 | -123_000.000_000e1;

> Output

    `␊
      1 | -123_000e1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e1;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #92
      1 | +123_000.000_000e+1;

> Output

    `␊
      1 | +123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e+1;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #93
      1 | -123_000.000_000e+1;

> Output

    `␊
      1 | -123_000e+1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e+1;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #94
      1 | +123_000.000_000e-1;

> Output

    `␊
      1 | +123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e-1;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #95
      1 | -123_000.000_000e-1;

> Output

    `␊
      1 | -123_000e-1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e-1;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #96
      1 | +123_000.000_000e0;

> Output

    `␊
      1 | +123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e0;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #97
      1 | -123_000.000_000e0;

> Output

    `␊
      1 | -123_000e0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e0;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #98
      1 | +123_000.000_000e+0;

> Output

    `␊
      1 | +123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e+0;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #99
      1 | -123_000.000_000e+0;

> Output

    `␊
      1 | -123_000e+0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e+0;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #100
      1 | +123_000.000_000e-0;

> Output

    `␊
      1 | +123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e-0;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #101
      1 | -123_000.000_000e-0;

> Output

    `␊
      1 | -123_000e-0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e-0;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #102
      1 | +123_000.000_000e10;

> Output

    `␊
      1 | +123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #103
      1 | -123_000.000_000e10;

> Output

    `␊
      1 | -123_000e10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #104
      1 | +123_000.000_000e+10;

> Output

    `␊
      1 | +123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e+10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #105
      1 | -123_000.000_000e+10;

> Output

    `␊
      1 | -123_000e+10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e+10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #106
      1 | +123_000.000_000e-10;

> Output

    `␊
      1 | +123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000e-10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #107
      1 | -123_000.000_000e-10;

> Output

    `␊
      1 | -123_000e-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000e-10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #108
      1 | +123_000.000_000E-10;

> Output

    `␊
      1 | +123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000E-10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #109
      1 | -123_000.000_000E-10;

> Output

    `␊
      1 | -123_000E-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000E-10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #110
      1 | +123_000.000_000E-10_10;

> Output

    `␊
      1 | +123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_000E-10_10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #111
      1 | -123_000.000_000E-10_10;

> Output

    `␊
      1 | -123_000E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_000E-10_10;␊
        |         ^^^^^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #112
      1 | +123_000.123_000;

> Output

    `␊
      1 | +123_000.123;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #113
      1 | -123_000.123_000;

> Output

    `␊
      1 | -123_000.123;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #114
      1 | +123_000.123_000e1;

> Output

    `␊
      1 | +123_000.123e1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e1;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #115
      1 | -123_000.123_000e1;

> Output

    `␊
      1 | -123_000.123e1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e1;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #116
      1 | +123_000.123_000e+1;

> Output

    `␊
      1 | +123_000.123e+1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e+1;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #117
      1 | -123_000.123_000e+1;

> Output

    `␊
      1 | -123_000.123e+1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e+1;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #118
      1 | +123_000.123_000e-1;

> Output

    `␊
      1 | +123_000.123e-1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e-1;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #119
      1 | -123_000.123_000e-1;

> Output

    `␊
      1 | -123_000.123e-1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e-1;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #120
      1 | +123_000.123_000e0;

> Output

    `␊
      1 | +123_000.123e0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e0;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #121
      1 | -123_000.123_000e0;

> Output

    `␊
      1 | -123_000.123e0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e0;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #122
      1 | +123_000.123_000e+0;

> Output

    `␊
      1 | +123_000.123e+0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e+0;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #123
      1 | -123_000.123_000e+0;

> Output

    `␊
      1 | -123_000.123e+0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e+0;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #124
      1 | +123_000.123_000e-0;

> Output

    `␊
      1 | +123_000.123e-0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e-0;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #125
      1 | -123_000.123_000e-0;

> Output

    `␊
      1 | -123_000.123e-0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e-0;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #126
      1 | +123_000.123_000e10;

> Output

    `␊
      1 | +123_000.123e10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #127
      1 | -123_000.123_000e10;

> Output

    `␊
      1 | -123_000.123e10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #128
      1 | +123_000.123_000e+10;

> Output

    `␊
      1 | +123_000.123e+10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e+10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #129
      1 | -123_000.123_000e+10;

> Output

    `␊
      1 | -123_000.123e+10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e+10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #130
      1 | +123_000.123_000e-10;

> Output

    `␊
      1 | +123_000.123e-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000e-10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #131
      1 | -123_000.123_000e-10;

> Output

    `␊
      1 | -123_000.123e-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000e-10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #132
      1 | +123_000.123_000E-10;

> Output

    `␊
      1 | +123_000.123E-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000E-10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #133
      1 | -123_000.123_000E-10;

> Output

    `␊
      1 | -123_000.123E-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000E-10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #134
      1 | +123_000.123_000E-10_10;

> Output

    `␊
      1 | +123_000.123E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.123_000E-10_10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #135
      1 | -123_000.123_000E-10_10;

> Output

    `␊
      1 | -123_000.123E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.123_000E-10_10;␊
        |             ^^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #136
      1 | +123_000.000_400;

> Output

    `␊
      1 | +123_000.000_4;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #137
      1 | -123_000.000_400;

> Output

    `␊
      1 | -123_000.000_4;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #138
      1 | +123_000.000_400e1;

> Output

    `␊
      1 | +123_000.000_4e1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e1;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #139
      1 | -123_000.000_400e1;

> Output

    `␊
      1 | -123_000.000_4e1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e1;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #140
      1 | +123_000.000_400e+1;

> Output

    `␊
      1 | +123_000.000_4e+1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e+1;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #141
      1 | -123_000.000_400e+1;

> Output

    `␊
      1 | -123_000.000_4e+1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e+1;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #142
      1 | +123_000.000_400e-1;

> Output

    `␊
      1 | +123_000.000_4e-1;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e-1;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #143
      1 | -123_000.000_400e-1;

> Output

    `␊
      1 | -123_000.000_4e-1;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e-1;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #144
      1 | +123_000.000_400e0;

> Output

    `␊
      1 | +123_000.000_4e0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e0;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #145
      1 | -123_000.000_400e0;

> Output

    `␊
      1 | -123_000.000_4e0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e0;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #146
      1 | +123_000.000_400e+0;

> Output

    `␊
      1 | +123_000.000_4e+0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e+0;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #147
      1 | -123_000.000_400e+0;

> Output

    `␊
      1 | -123_000.000_4e+0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e+0;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #148
      1 | +123_000.000_400e-0;

> Output

    `␊
      1 | +123_000.000_4e-0;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e-0;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #149
      1 | -123_000.000_400e-0;

> Output

    `␊
      1 | -123_000.000_4e-0;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e-0;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #150
      1 | +123_000.000_400e10;

> Output

    `␊
      1 | +123_000.000_4e10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #151
      1 | -123_000.000_400e10;

> Output

    `␊
      1 | -123_000.000_4e10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #152
      1 | +123_000.000_400e+10;

> Output

    `␊
      1 | +123_000.000_4e+10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e+10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #153
      1 | -123_000.000_400e+10;

> Output

    `␊
      1 | -123_000.000_4e+10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e+10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #154
      1 | +123_000.000_400e-10;

> Output

    `␊
      1 | +123_000.000_4e-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400e-10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #155
      1 | -123_000.000_400e-10;

> Output

    `␊
      1 | -123_000.000_4e-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400e-10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #156
      1 | +123_000.000_400E-10;

> Output

    `␊
      1 | +123_000.000_4E-10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400E-10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #157
      1 | -123_000.000_400E-10;

> Output

    `␊
      1 | -123_000.000_4E-10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400E-10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #158
      1 | +123_000.000_400E-10_10;

> Output

    `␊
      1 | +123_000.000_4E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | +123_000.000_400E-10_10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #159
      1 | -123_000.000_400E-10_10;

> Output

    `␊
      1 | -123_000.000_4E-10_10;␊
    `

> Error 1/1

    `␊
    > 1 | -123_000.000_400E-10_10;␊
        |               ^^ Don't use a zero fraction in the number.␊
    `

## Invalid #160
      1 | 1.00.toFixed(2)

> Output

    `␊
      1 | (1).toFixed(2)␊
    `

> Error 1/1

    `␊
    > 1 | 1.00.toFixed(2)␊
        |  ^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #161
      1 | 1.00 .toFixed(2)

> Output

    `␊
      1 | (1) .toFixed(2)␊
    `

> Error 1/1

    `␊
    > 1 | 1.00 .toFixed(2)␊
        |  ^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #162
      1 | (1.00).toFixed(2)

> Output

    `␊
      1 | (1).toFixed(2)␊
    `

> Error 1/1

    `␊
    > 1 | (1.00).toFixed(2)␊
        |   ^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #163
      1 | 1.00?.toFixed(2)

> Output

    `␊
      1 | (1)?.toFixed(2)␊
    `

> Error 1/1

    `␊
    > 1 | 1.00?.toFixed(2)␊
        |  ^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #164
      1 | console.log()
      2 | 1..toString()

> Output

    `␊
      1 | console.log()␊
      2 | ;(1).toString()␊
    `

> Error 1/1

    `␊
      1 | console.log()␊
    > 2 | 1..toString()␊
        |  ^ Don't use a dangling dot in the number.␊
    `

## Invalid #165
      1 | console.log()
      2 | a[1.].toString()

> Output

    `␊
      1 | console.log()␊
      2 | a[1].toString()␊
    `

> Error 1/1

    `␊
      1 | console.log()␊
    > 2 | a[1.].toString()␊
        |    ^ Don't use a dangling dot in the number.␊
    `

## Invalid #166
      1 | console.log()
      2 | 1.00e10.toString()

> Output

    `␊
      1 | console.log()␊
      2 | 1e10.toString()␊
    `

> Error 1/1

    `␊
      1 | console.log()␊
    > 2 | 1.00e10.toString()␊
        |  ^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #167
      1 | console.log()
      2 | a[1.00e10].toString()

> Output

    `␊
      1 | console.log()␊
      2 | a[1e10].toString()␊
    `

> Error 1/1

    `␊
      1 | console.log()␊
    > 2 | a[1.00e10].toString()␊
        |    ^^^ Don't use a zero fraction in the number.␊
    `

## Invalid #168
      1 | a = .0;

> Output

    `␊
      1 | a = 0;␊
    `

> Error 1/1

    `␊
    > 1 | a = .0;␊
        |      ^ Don't use a zero fraction in the number.␊
    `

## Invalid #169
      1 | a = .0.toString()

> Output

    `␊
      1 | a = (0).toString()␊
    `

> Error 1/1

    `␊
    > 1 | a = .0.toString()␊
        |      ^ Don't use a zero fraction in the number.␊
    `

## Invalid #170
      1 | function foo(){return.0}

> Output

    `␊
      1 | function foo(){return 0}␊
    `

> Error 1/1

    `␊
    > 1 | function foo(){return.0}␊
        |                       ^ Don't use a zero fraction in the number.␊
    `

## Invalid #171
      1 | function foo(){return.0.toString()}

> Output

    `␊
      1 | function foo(){return (0).toString()}␊
    `

> Error 1/1

    `␊
    > 1 | function foo(){return.0.toString()}␊
        |                       ^ Don't use a zero fraction in the number.␊
    `

## Invalid #172
      1 | function foo(){return.0+.1}

> Output

    `␊
      1 | function foo(){return 0+.1}␊
    `

> Error 1/1

    `␊
    > 1 | function foo(){return.0+.1}␊
        |                       ^ Don't use a zero fraction in the number.␊
    `

## Invalid #173
      1 | console.log()
      2 | .0.toString()

> Output

    `␊
      1 | console.log()␊
      2 | ;(0).toString()␊
    `

> Error 1/1

    `␊
      1 | console.log()␊
    > 2 | .0.toString()␊
        |  ^ Don't use a zero fraction in the number.␊
    `
