# Snapshot report for `test/prefer-logical-operator-over-ternary.mjs`

The actual snapshot is saved in `prefer-logical-operator-over-ternary.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | foo ? foo : bar;

> Error 1/1

    `␊
    > 1 | foo ? foo : bar;␊
        | ^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo ?? bar;␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo || bar;␊
    `

## Invalid #2
      1 | foo.bar ? foo.bar : foo.baz

> Error 1/1

    `␊
    > 1 | foo.bar ? foo.bar : foo.baz␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo.bar ?? foo.baz␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo.bar || foo.baz␊
    `

## Invalid #3
      1 | foo?.bar ? foo.bar : baz

> Error 1/1

    `␊
    > 1 | foo?.bar ? foo.bar : baz␊
        | ^^^^^^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo?.bar ?? baz␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo?.bar || baz␊
    `

## Invalid #4
      1 | !bar ? foo : bar;

> Error 1/1

    `␊
    > 1 | !bar ? foo : bar;␊
        | ^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | bar ?? foo;␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | bar || foo;␊
    `

## Invalid #5
      1 | !!bar ? foo : !bar;

> Error 1/1

    `␊
    > 1 | !!bar ? foo : !bar;␊
        | ^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | !bar ?? foo;␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | !bar || foo;␊
    `

## Invalid #6
      1 | foo() ? foo() : bar

> Error 1/1

    `␊
    > 1 | foo() ? foo() : bar␊
        | ^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo() ?? bar␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo() || bar␊
    `

## Invalid #7
      1 | foo ? foo : a && b

> Error 1/1

    `␊
    > 1 | foo ? foo : a && b␊
        | ^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo ?? (a && b)␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo || (a && b)␊
    `

## Invalid #8
      1 | foo ? foo : a || b

> Error 1/1

    `␊
    > 1 | foo ? foo : a || b␊
        | ^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo ?? (a || b)␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo || a || b␊
    `

## Invalid #9
      1 | foo ? foo : a ?? b

> Error 1/1

    `␊
    > 1 | foo ? foo : a ?? b␊
        | ^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo ?? a ?? b␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo || (a ?? b)␊
    `

## Invalid #10
      1 | a && b ? a && b : bar

> Error 1/1

    `␊
    > 1 | a && b ? a && b : bar␊
        | ^^^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | (a && b) ?? bar␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | (a && b) || bar␊
    `

## Invalid #11
      1 | a || b ? a || b : bar

> Error 1/1

    `␊
    > 1 | a || b ? a || b : bar␊
        | ^^^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | (a || b) ?? bar␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | a || b || bar␊
    `

## Invalid #12
      1 | a ?? b ? a ?? b : bar

> Error 1/1

    `␊
    > 1 | a ?? b ? a ?? b : bar␊
        | ^^^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | a ?? b ?? bar␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | (a ?? b) || bar␊
    `

## Invalid #13
      1 | foo ? foo : await a

> Error 1/1

    `␊
    > 1 | foo ? foo : await a␊
        | ^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | foo ?? (await a)␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | foo || (await a)␊
    `

## Invalid #14
      1 | await a ? await a : foo

> Error 1/1

    `␊
    > 1 | await a ? await a : foo␊
        | ^^^^^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | (await a) ?? foo␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | (await a) || foo␊
    `

## Invalid #15
      1 | const foo = []
      2 | !+a ? b : +a

> Error 1/1

    `␊
      1 | const foo = []␊
    > 2 | !+a ? b : +a␊
        | ^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | const foo = []␊
      2 | ;+a ?? b␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | const foo = []␊
      2 | ;+a || b␊
    `

## Invalid #16
      1 | const foo = []
      2 | a && b ? a && b : 1

> Error 1/1

    `␊
      1 | const foo = []␊
    > 2 | a && b ? a && b : 1␊
        | ^^^^^^^^^^^^^^^^^^^ Prefer using a logical operator over a ternary.␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/2: Switch to \`??\` operator.␊
      1 | const foo = []␊
      2 | ;(a && b) ?? 1␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 2/2: Switch to \`||\` operator.␊
      1 | const foo = []␊
      2 | ;(a && b) || 1␊
    `
