# Snapshot report for `test/prefer-module.mjs`

The actual snapshot is saved in `prefer-module.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | 'use strict';
      2 |
      3 | console.log(1);

> Error 1/1

    `␊
    > 1 | 'use strict';␊
        | ^^^^^^^^^^^^^ Do not use "use strict" directive.␊
      2 |␊
      3 | console.log(1);␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove "use strict" directive.␊
      1 | console.log(1);␊
    `

## Invalid #2
      1 | "use strict";
      2 |
      3 | console.log(1);

> Error 1/1

    `␊
    > 1 | "use strict";␊
        | ^^^^^^^^^^^^^ Do not use "use strict" directive.␊
      2 |␊
      3 | console.log(1);␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove "use strict" directive.␊
      1 | console.log(1);␊
    `

## Invalid #3
      1 | function foo () {
      2 | 	"use strict";
      3 | 	console.log(1);
      4 | }

> Error 1/1

    `␊
      1 | function foo () {␊
    > 2 | 	"use strict";␊
        | 	^^^^^^^^^^^^^ Do not use "use strict" directive.␊
      3 | 	console.log(1);␊
      4 | }␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Remove "use strict" directive.␊
      1 | function foo () {␊
      2 | 	console.log(1);␊
      3 | }␊
    `

## Invalid #4
      1 | 'use strict';
      2 |
      3 | console.log(1);

> Filename

    `␊
    example.mjs␊
    `

> Output

    `␊
      1 | console.log(1);␊
    `

> Error 1/1

    `␊
    > 1 | 'use strict';␊
        | ^^^^^^^^^^^^^ Do not use "use strict" directive.␊
      2 |␊
      3 | console.log(1);␊
    `

## Invalid #1
      1 | const dirname = __dirname;

> Error 1/1

    `␊
    > 1 | const dirname = __dirname;␊
        |                 ^^^^^^^^^ Do not use "__dirname".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace "__dirname" with \`"…(import.meta.url)"\`.␊
      1 | const dirname = path.dirname(url.fileURLToPath(import.meta.url));␊
    `

## Invalid #2
      1 | const dirname = __filename;

> Error 1/1

    `␊
    > 1 | const dirname = __filename;␊
        |                 ^^^^^^^^^^ Do not use "__filename".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace "__filename" with \`"…(import.meta.url)"\`.␊
      1 | const dirname = url.fileURLToPath(import.meta.url);␊
    `

## Invalid #3
      1 | const foo = { __dirname};

> Error 1/1

    `␊
    > 1 | const foo = { __dirname};␊
        |               ^^^^^^^^^ Do not use "__dirname".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace "__dirname" with \`"…(import.meta.url)"\`.␊
      1 | const foo = { __dirname: path.dirname(url.fileURLToPath(import.meta.url))};␊
    `

## Invalid #4
      1 | const foo = {__filename, };

> Error 1/1

    `␊
    > 1 | const foo = {__filename, };␊
        |              ^^^^^^^^^^ Do not use "__filename".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace "__filename" with \`"…(import.meta.url)"\`.␊
      1 | const foo = {__filename: url.fileURLToPath(import.meta.url), };␊
    `

## Invalid #5
      1 | if (__dirname.startsWith("/project/src/")) {}

> Error 1/1

    `␊
    > 1 | if (__dirname.startsWith("/project/src/")) {}␊
        |     ^^^^^^^^^ Do not use "__dirname".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace "__dirname" with \`"…(import.meta.url)"\`.␊
      1 | if (path.dirname(url.fileURLToPath(import.meta.url)).startsWith("/project/src/")) {}␊
    `

## Invalid #6
      1 | if (__filename.endsWith(".js")) {}

> Error 1/1

    `␊
    > 1 | if (__filename.endsWith(".js")) {}␊
        |     ^^^^^^^^^^ Do not use "__filename".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace "__filename" with \`"…(import.meta.url)"\`.␊
      1 | if (url.fileURLToPath(import.meta.url).endsWith(".js")) {}␊
    `

## Invalid #1
      1 | require("foo");

> Error 1/1

    `␊
    > 1 | require("foo");␊
        | ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import "foo";␊
    `

## Invalid #2
      1 | require('foo');

> Error 1/1

    `␊
    > 1 | require('foo');␊
        | ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import 'foo';␊
    `

## Invalid #3
      1 | require( (("foo")) );

> Error 1/1

    `␊
    > 1 | require( (("foo")) );␊
        | ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import  "foo" ;␊
    `

## Invalid #4
      1 | ((require))("foo");

> Error 1/1

    `␊
    > 1 | ((require))("foo");␊
        |   ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import "foo";␊
    `

## Invalid #5
      1 | (( require("foo") ));

> Error 1/1

    `␊
    > 1 | (( require("foo") ));␊
        |    ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 |  import "foo" ;␊
    `

## Invalid #6
      1 | const foo=require("foo");

> Error 1/1

    `␊
    > 1 | const foo=require("foo");␊
        |           ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import foo from "foo";␊
    `

## Invalid #7
      1 | const foo = require.resolve("foo");

> Error 1/1

    `␊
    > 1 | const foo = require.resolve("foo");␊
        |             ^^^^^^^ Do not use "require".␊
    `

## Invalid #8
      1 | const foo
      2 | 	=
      3 | 	require("foo");

> Error 1/1

    `␊
      1 | const foo␊
      2 | 	=␊
    > 3 | 	require("foo");␊
        | 	^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import foo from "foo";␊
    `

## Invalid #9
      1 | const foo = require("foo");

> Error 1/1

    `␊
    > 1 | const foo = require("foo");␊
        |             ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import foo from "foo";␊
    `

## Invalid #10
      1 | const foo = require( (("foo")) );

> Error 1/1

    `␊
    > 1 | const foo = require( (("foo")) );␊
        |             ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import foo from  "foo" ;␊
    `

## Invalid #11
      1 | const foo = ((require))("foo");

> Error 1/1

    `␊
    > 1 | const foo = ((require))("foo");␊
        |               ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import foo from "foo";␊
    `

## Invalid #12
      1 | const foo = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const foo = (( require("foo") ));␊
        |                ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import foo from  "foo" ;␊
    `

## Invalid #13
      1 | const {foo}=require("foo");

> Error 1/1

    `␊
    > 1 | const {foo}=require("foo");␊
        |             ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo} from "foo";␊
    `

## Invalid #14
      1 | const {foo}
      2 | 	=
      3 | 	require("foo");

> Error 1/1

    `␊
      1 | const {foo}␊
      2 | 	=␊
    > 3 | 	require("foo");␊
        | 	^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo} from "foo";␊
    `

## Invalid #15
      1 | const {foo} = require("foo");

> Error 1/1

    `␊
    > 1 | const {foo} = require("foo");␊
        |               ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo} from "foo";␊
    `

## Invalid #16
      1 | const {foo} = require( (("foo")) );

> Error 1/1

    `␊
    > 1 | const {foo} = require( (("foo")) );␊
        |               ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo} from  "foo" ;␊
    `

## Invalid #17
      1 | const {foo} = ((require))("foo");

> Error 1/1

    `␊
    > 1 | const {foo} = ((require))("foo");␊
        |                 ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo} from "foo";␊
    `

## Invalid #18
      1 | const {foo} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {foo} = (( require("foo") ));␊
        |                  ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo} from  "foo" ;␊
    `

## Invalid #19
      1 | const {foo} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {foo} = (( require("foo") ));␊
        |                  ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo} from  "foo" ;␊
    `

## Invalid #20
      1 | const {foo: foo}=require("foo");

> Error 1/1

    `␊
    > 1 | const {foo: foo}=require("foo");␊
        |                  ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as foo} from "foo";␊
    `

## Invalid #21
      1 | const {foo: foo}
      2 | 	=
      3 | 	require("foo");

> Error 1/1

    `␊
      1 | const {foo: foo}␊
      2 | 	=␊
    > 3 | 	require("foo");␊
        | 	^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as foo} from "foo";␊
    `

## Invalid #22
      1 | const {foo: foo} = require("foo");

> Error 1/1

    `␊
    > 1 | const {foo: foo} = require("foo");␊
        |                    ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as foo} from "foo";␊
    `

## Invalid #23
      1 | const {foo: foo} = require( (("foo")) );

> Error 1/1

    `␊
    > 1 | const {foo: foo} = require( (("foo")) );␊
        |                    ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as foo} from  "foo" ;␊
    `

## Invalid #24
      1 | const {foo: foo} = ((require))("foo");

> Error 1/1

    `␊
    > 1 | const {foo: foo} = ((require))("foo");␊
        |                      ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as foo} from "foo";␊
    `

## Invalid #25
      1 | const {foo: foo} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {foo: foo} = (( require("foo") ));␊
        |                       ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as foo} from  "foo" ;␊
    `

## Invalid #26
      1 | const {foo: foo} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {foo: foo} = (( require("foo") ));␊
        |                       ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as foo} from  "foo" ;␊
    `

## Invalid #27
      1 | const {foo:bar}=require("foo");

> Error 1/1

    `␊
    > 1 | const {foo:bar}=require("foo");␊
        |                 ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as bar} from "foo";␊
    `

## Invalid #28
      1 | const {foo:bar}
      2 | 	=
      3 | 	require("foo");

> Error 1/1

    `␊
      1 | const {foo:bar}␊
      2 | 	=␊
    > 3 | 	require("foo");␊
        | 	^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as bar} from "foo";␊
    `

## Invalid #29
      1 | const {foo:bar} = require("foo");

> Error 1/1

    `␊
    > 1 | const {foo:bar} = require("foo");␊
        |                   ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as bar} from "foo";␊
    `

## Invalid #30
      1 | const {foo:bar} = require( (("foo")) );

> Error 1/1

    `␊
    > 1 | const {foo:bar} = require( (("foo")) );␊
        |                   ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as bar} from  "foo" ;␊
    `

## Invalid #31
      1 | const {foo:bar} = ((require))("foo");

> Error 1/1

    `␊
    > 1 | const {foo:bar} = ((require))("foo");␊
        |                     ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as bar} from "foo";␊
    `

## Invalid #32
      1 | const {foo:bar} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {foo:bar} = (( require("foo") ));␊
        |                      ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as bar} from  "foo" ;␊
    `

## Invalid #33
      1 | const {foo:bar} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {foo:bar} = (( require("foo") ));␊
        |                      ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {foo as bar} from  "foo" ;␊
    `

## Invalid #34
      1 | const {a   :foo, b:   bar, default   :   baz}=require("foo");

> Error 1/1

    `␊
    > 1 | const {a   :foo, b:   bar, default   :   baz}=require("foo");␊
        |                                               ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {a as foo, b as bar, default as baz} from "foo";␊
    `

## Invalid #35
      1 | const {
      2 | 	a   :foo,
      3 | 	b:   bar,
      4 | 	default   :   baz,
      5 | }
      6 | 	=
      7 | 	require("foo");

> Error 1/1

    `␊
      1 | const {␊
      2 | 	a   :foo,␊
      3 | 	b:   bar,␊
      4 | 	default   :   baz,␊
      5 | }␊
      6 | 	=␊
    > 7 | 	require("foo");␊
        | 	^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {␊
      2 | 	a as foo,␊
      3 | 	b as bar,␊
      4 | 	default as baz,␊
      5 | } from "foo";␊
    `

## Invalid #36
      1 | const {a   :foo, b:   bar, default   :   baz} = require("foo");

> Error 1/1

    `␊
    > 1 | const {a   :foo, b:   bar, default   :   baz} = require("foo");␊
        |                                                 ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {a as foo, b as bar, default as baz} from "foo";␊
    `

## Invalid #37
      1 | const {a   :foo, b:   bar, default   :   baz} = require( (("foo")) );

> Error 1/1

    `␊
    > 1 | const {a   :foo, b:   bar, default   :   baz} = require( (("foo")) );␊
        |                                                 ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {a as foo, b as bar, default as baz} from  "foo" ;␊
    `

## Invalid #38
      1 | const {a   :foo, b:   bar, default   :   baz} = ((require))("foo");

> Error 1/1

    `␊
    > 1 | const {a   :foo, b:   bar, default   :   baz} = ((require))("foo");␊
        |                                                   ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {a as foo, b as bar, default as baz} from "foo";␊
    `

## Invalid #39
      1 | const {a   :foo, b:   bar, default   :   baz} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {a   :foo, b:   bar, default   :   baz} = (( require("foo") ));␊
        |                                                    ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {a as foo, b as bar, default as baz} from  "foo" ;␊
    `

## Invalid #40
      1 | const {a   :foo, b:   bar, default   :   baz} = (( require("foo") ));

> Error 1/1

    `␊
    > 1 | const {a   :foo, b:   bar, default   :   baz} = (( require("foo") ));␊
        |                                                    ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {a as foo, b as bar, default as baz} from  "foo" ;␊
    `

## Invalid #41
      1 | const {} = require("foo");

> Error 1/1

    `␊
    > 1 | const {} = require("foo");␊
        |            ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import {} from "foo";␊
    `

## Invalid #42
      1 | const{   }=require("foo");

> Error 1/1

    `␊
    > 1 | const{   }=require("foo");␊
        |            ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import{   } from "foo";␊
    `

## Invalid #43
      1 | const r = require;
      2 | const foo = r("foo");

> Error 1/1

    `␊
    > 1 | const r = require;␊
        |           ^^^^^^^ Do not use "require".␊
      2 | const foo = r("foo");␊
    `

## Invalid #44
      1 | new require("foo")

> Error 1/1

    `␊
    > 1 | new require("foo")␊
        |     ^^^^^^^ Do not use "require".␊
    `

## Invalid #45
      1 | require("foo", extraArgument)

> Error 1/1

    `␊
    > 1 | require("foo", extraArgument)␊
        | ^^^^^^^ Do not use "require".␊
    `

## Invalid #46
      1 | const a = require()

> Error 1/1

    `␊
    > 1 | const a = require()␊
        |           ^^^^^^^ Do not use "require".␊
    `

## Invalid #47
      1 | require(..."foo")

> Error 1/1

    `␊
    > 1 | require(..."foo")␊
        | ^^^^^^^ Do not use "require".␊
    `

## Invalid #48
      1 | require("../" + "file.js")

> Error 1/1

    `␊
    > 1 | require("../" + "file.js")␊
        | ^^^^^^^ Do not use "require".␊
    `

## Invalid #49
      1 | require(file)

> Error 1/1

    `␊
    > 1 | require(file)␊
        | ^^^^^^^ Do not use "require".␊
    `

## Invalid #50
      1 | a = require("foo")

> Error 1/1

    `␊
    > 1 | a = require("foo")␊
        |     ^^^^^^^ Do not use "require".␊
    `

## Invalid #51
      1 | function a(a = require("foo")) {}

> Error 1/1

    `␊
    > 1 | function a(a = require("foo")) {}␊
        |                ^^^^^^^ Do not use "require".␊
    `

## Invalid #52
      1 | let foo = require("foo");

> Error 1/1

    `␊
    > 1 | let foo = require("foo");␊
        |           ^^^^^^^ Do not use "require".␊
    `

## Invalid #53
      1 | const foo = require("foo"), bar = require("bar");

> Error 1/2

    `␊
    > 1 | const foo = require("foo"), bar = require("bar");␊
        |             ^^^^^^^ Do not use "require".␊
    `

> Error 2/2

    `␊
    > 1 | const foo = require("foo"), bar = require("bar");␊
        |                                   ^^^^^^^ Do not use "require".␊
    `

## Invalid #54
      1 | const {[foo]: foo} = require("foo");

> Error 1/1

    `␊
    > 1 | const {[foo]: foo} = require("foo");␊
        |                      ^^^^^^^ Do not use "require".␊
    `

## Invalid #55
      1 | const {["foo"]: foo} = require("foo");

> Error 1/1

    `␊
    > 1 | const {["foo"]: foo} = require("foo");␊
        |                        ^^^^^^^ Do not use "require".␊
    `

## Invalid #56
      1 | if (foo) require("foo");

> Error 1/1

    `␊
    > 1 | if (foo) require("foo");␊
        |          ^^^^^^^ Do not use "require".␊
    `

## Invalid #57
      1 | const foo = require`foo`;

> Error 1/1

    `␊
    > 1 | const foo = require\`foo\`;␊
        |             ^^^^^^^ Do not use "require".␊
    `

## Invalid #58
      1 | function loadModule() {
      2 | 	return require("foo");
      3 | }

> Error 1/1

    `␊
      1 | function loadModule() {␊
    > 2 | 	return require("foo");␊
        | 	       ^^^^^^^ Do not use "require".␊
      3 | }␊
    `

## Invalid #59
      1 | function loadModule() {
      2 | 	const foo = require("foo");
      3 | 	return foo;
      4 | }

> Error 1/1

    `␊
      1 | function loadModule() {␊
    > 2 | 	const foo = require("foo");␊
        | 	            ^^^^^^^ Do not use "require".␊
      3 | 	return foo;␊
      4 | }␊
    `

## Invalid #60
      1 | const foo = require("foo"), bar = 1;

> Error 1/1

    `␊
    > 1 | const foo = require("foo"), bar = 1;␊
        |             ^^^^^^^ Do not use "require".␊
    `

## Invalid #61
      1 | const foo = require("foo"), bar = require("bar");

> Error 1/2

    `␊
    > 1 | const foo = require("foo"), bar = require("bar");␊
        |             ^^^^^^^ Do not use "require".␊
    `

> Error 2/2

    `␊
    > 1 | const foo = require("foo"), bar = require("bar");␊
        |                                   ^^^^^^^ Do not use "require".␊
    `

## Invalid #1
      1 | exports = foo;

> Error 1/1

    `␊
    > 1 | exports = foo;␊
        | ^^^^^^^ Do not use "exports".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | export default foo;␊
    `

## Invalid #2
      1 | module.exports = foo;

> Error 1/1

    `␊
    > 1 | module.exports = foo;␊
        | ^^^^^^ Do not use "module".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | export default foo;␊
    `

## Invalid #3
      1 | (( ((exports)) = ((foo)) ));

> Error 1/1

    `␊
    > 1 | (( ((exports)) = ((foo)) ));␊
        |      ^^^^^^^ Do not use "exports".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 |  export default  ((foo)) ;␊
    `

## Invalid #4
      1 | (( ((module.exports)) = ((foo)) ));

> Error 1/1

    `␊
    > 1 | (( ((module.exports)) = ((foo)) ));␊
        |      ^^^^^^ Do not use "module".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 |  export default  ((foo)) ;␊
    `

## Invalid #5
      1 | const foo = 1;exports.foo = foo;

> Error 1/1

    `␊
    > 1 | const foo = 1;exports.foo = foo;␊
        |               ^^^^^^^ Do not use "exports".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | const foo = 1;export {foo as foo};␊
    `

## Invalid #6
      1 | const foo = 1;module.exports.foo = foo;

> Error 1/1

    `␊
    > 1 | const foo = 1;module.exports.foo = foo;␊
        |               ^^^^^^ Do not use "module".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | const foo = 1;export {foo as foo};␊
    `

## Invalid #7
      1 | exports["foo"] = foo;

> Error 1/1

    `␊
    > 1 | exports["foo"] = foo;␊
        | ^^^^^^^ Do not use "exports".␊
    `

## Invalid #8
      1 | module.exports["foo"] = foo;

> Error 1/1

    `␊
    > 1 | module.exports["foo"] = foo;␊
        | ^^^^^^ Do not use "module".␊
    `

## Invalid #9
      1 | const foo = exports;

> Error 1/1

    `␊
    > 1 | const foo = exports;␊
        |             ^^^^^^^ Do not use "exports".␊
    `

## Invalid #10
      1 | const foo = exports.foo;

> Error 1/1

    `␊
    > 1 | const foo = exports.foo;␊
        |             ^^^^^^^ Do not use "exports".␊
    `

## Invalid #11
      1 | const foo = module.exports;

> Error 1/1

    `␊
    > 1 | const foo = module.exports;␊
        |             ^^^^^^ Do not use "module".␊
    `

## Invalid #12
      1 | const foo = module.exports.foo;

> Error 1/1

    `␊
    > 1 | const foo = module.exports.foo;␊
        |             ^^^^^^ Do not use "module".␊
    `

## Invalid #13
      1 | module["exports"] = foo;

> Error 1/1

    `␊
    > 1 | module["exports"] = foo;␊
        | ^^^^^^ Do not use "module".␊
    `

## Invalid #14
      1 | module[exports] = foo;

> Error 1/2

    `␊
    > 1 | module[exports] = foo;␊
        | ^^^^^^ Do not use "module".␊
    `

> Error 2/2

    `␊
    > 1 | module[exports] = foo;␊
        |        ^^^^^^^ Do not use "exports".␊
    `

## Invalid #15
      1 | module.exports.foo.bar = foo;

> Error 1/1

    `␊
    > 1 | module.exports.foo.bar = foo;␊
        | ^^^^^^ Do not use "module".␊
    `

## Invalid #16
      1 | const foo = 1;exports.default = foo;

> Error 1/1

    `␊
    > 1 | const foo = 1;exports.default = foo;␊
        |               ^^^^^^^ Do not use "exports".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | const foo = 1;export {foo as default};␊
    `

## Invalid #17
      1 | const foo = 1;module.exports.default = foo;

> Error 1/1

    `␊
    > 1 | const foo = 1;module.exports.default = foo;␊
        |               ^^^^^^ Do not use "module".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | const foo = 1;export {foo as default};␊
    `

## Invalid #18
      1 | exports.foo.bar = foo;

> Error 1/1

    `␊
    > 1 | exports.foo.bar = foo;␊
        | ^^^^^^^ Do not use "exports".␊
    `

## Invalid #19
      1 | exports = 1;

> Error 1/1

    `␊
    > 1 | exports = 1;␊
        | ^^^^^^^ Do not use "exports".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | export default 1;␊
    `

## Invalid #20
      1 | exports.foo = [];

> Error 1/1

    `␊
    > 1 | exports.foo = [];␊
        | ^^^^^^^ Do not use "exports".␊
    `

## Invalid #21
      1 | module.exports = function() {};

> Error 1/1

    `␊
    > 1 | module.exports = function() {};␊
        | ^^^^^^ Do not use "module".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`export\`.␊
      1 | export default function() {};␊
    `

## Invalid #22
      1 | module.exports.foo = foo || bar;

> Error 1/1

    `␊
    > 1 | module.exports.foo = foo || bar;␊
        | ^^^^^^ Do not use "module".␊
    `

## Invalid #23
      1 | exports += foo;

> Error 1/1

    `␊
    > 1 | exports += foo;␊
        | ^^^^^^^ Do not use "exports".␊
    `

## Invalid #24
      1 | const foo = module.children

> Error 1/1

    `␊
    > 1 | const foo = module.children␊
        |             ^^^^^^ Do not use "module".␊
    `

## Invalid #25
      1 | const parentModule = module.parent

> Error 1/1

    `␊
    > 1 | const parentModule = module.parent␊
        |                      ^^^^^^ Do not use "module".␊
    `

## Invalid #26
      1 | function foo() {
      2 | 	exports.foo = foo;
      3 | 	module.exports.foo = foo;
      4 | }

> Error 1/2

    `␊
      1 | function foo() {␊
    > 2 | 	exports.foo = foo;␊
        | 	^^^^^^^ Do not use "exports".␊
      3 | 	module.exports.foo = foo;␊
      4 | }␊
    `

> Error 2/2

    `␊
      1 | function foo() {␊
      2 | 	exports.foo = foo;␊
    > 3 | 	module.exports.foo = foo;␊
        | 	^^^^^^ Do not use "module".␊
      4 | }␊
    `

## Invalid #1
      1 | __filename

> Filename

    `␊
    foo.mjs␊
    `

> Error 1/1

    `␊
    > 1 | __filename␊
        | ^^^^^^^^^^ Do not use "__filename".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Replace "__filename" with \`"…(import.meta.url)"\`.␊
      1 | url.fileURLToPath(import.meta.url)␊
    `

## Invalid #2
      1 | require("lodash")

> Filename

    `␊
    foo.js␊
    `

> Error 1/1

    `␊
    > 1 | require("lodash")␊
        | ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import "lodash"␊
    `

## Invalid #3
      1 | require("lodash")

> Filename

    `␊
    foo.cjs/foo.js␊
    `

> Error 1/1

    `␊
    > 1 | require("lodash")␊
        | ^^^^^^^ Do not use "require".␊
    ␊
    --------------------------------------------------------------------------------␊
    Suggestion 1/1: Switch to \`import\`.␊
      1 | import "lodash"␊
    `
