# Snapshot report for `test/prefer-native-coercion-functions.mjs`

The actual snapshot is saved in `prefer-native-coercion-functions.mjs.snap`.

Generated by [AVA](https://avajs.dev).

## Invalid #1
      1 | const foo = v => String(v)

> Output

    `␊
      1 | const foo = String␊
    `

> Error 1/1

    `␊
    > 1 | const foo = v => String(v)␊
        |               ^^ arrow function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
    `

## Invalid #2
      1 | const foo = v => Number(v)

> Output

    `␊
      1 | const foo = Number␊
    `

> Error 1/1

    `␊
    > 1 | const foo = v => Number(v)␊
        |               ^^ arrow function 'foo' is equivalent to \`Number\`. Use \`Number\` directly.␊
    `

## Invalid #3
      1 | const foo = v => BigInt(v)

> Output

    `␊
      1 | const foo = BigInt␊
    `

> Error 1/1

    `␊
    > 1 | const foo = v => BigInt(v)␊
        |               ^^ arrow function 'foo' is equivalent to \`BigInt\`. Use \`BigInt\` directly.␊
    `

## Invalid #4
      1 | const foo = v => Boolean(v)

> Output

    `␊
      1 | const foo = Boolean␊
    `

> Error 1/1

    `␊
    > 1 | const foo = v => Boolean(v)␊
        |               ^^ arrow function 'foo' is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #5
      1 | const foo = v => Symbol(v)

> Output

    `␊
      1 | const foo = Symbol␊
    `

> Error 1/1

    `␊
    > 1 | const foo = v => Symbol(v)␊
        |               ^^ arrow function 'foo' is equivalent to \`Symbol\`. Use \`Symbol\` directly.␊
    `

## Invalid #6
      1 | const foo = v => {
      2 | 	return String(v);
      3 | }

> Output

    `␊
      1 | const foo = String␊
    `

> Error 1/1

    `␊
    > 1 | const foo = v => {␊
        |               ^^ arrow function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
      2 | 	return String(v);␊
      3 | }␊
    `

## Invalid #7
      1 | const foo = function (v) {
      2 | 	return String(v);
      3 | }

> Output

    `␊
      1 | const foo = String␊
    `

> Error 1/1

    `␊
    > 1 | const foo = function (v) {␊
        |             ^^^^^^^^^ function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
      2 | 	return String(v);␊
      3 | }␊
    `

## Invalid #8
      1 | function foo(v) { return String(v); }

> Error 1/1

    `␊
    > 1 | function foo(v) { return String(v); }␊
        | ^^^^^^^^^^^^ function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
    `

## Invalid #9
      1 | export default function foo(v) { return String(v); }

> Error 1/1

    `␊
    > 1 | export default function foo(v) { return String(v); }␊
        |                ^^^^^^^^^^^^ function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
    `

## Invalid #10
      1 | export default function (v) { return String(v); }

> Error 1/1

    `␊
    > 1 | export default function (v) { return String(v); }␊
        |                ^^^^^^^^^ function is equivalent to \`String\`. Use \`String\` directly.␊
    `

## Invalid #11
      1 | class A {
      2 | 	foo(v) {
      3 | 		return String(v);
      4 | 	}
      5 |
      6 | 	bar() {}
      7 | }

> Output

    `␊
      1 | class A {␊
      2 | 	foo = String;␊
      3 |␊
      4 | 	bar() {}␊
      5 | }␊
    `

> Error 1/1

    `␊
      1 | class A {␊
    > 2 | 	foo(v) {␊
        | 	^^^ method 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
      3 | 		return String(v);␊
      4 | 	}␊
      5 |␊
      6 | 	bar() {}␊
      7 | }␊
    `

## Invalid #12
      1 | class A {
      2 | 	static foo(v) {
      3 | 		return String(v);
      4 | 	}
      5 |
      6 | 	bar() {}
      7 | }

> Output

    `␊
      1 | class A {␊
      2 | 	static foo = String;␊
      3 |␊
      4 | 	bar() {}␊
      5 | }␊
    `

> Error 1/1

    `␊
      1 | class A {␊
    > 2 | 	static foo(v) {␊
        | 	^^^^^^^^^^ static method 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
      3 | 		return String(v);␊
      4 | 	}␊
      5 |␊
      6 | 	bar() {}␊
      7 | }␊
    `

## Invalid #13
      1 | class A {
      2 | 	#foo(v) {
      3 | 		return String(v);
      4 | 	}
      5 |
      6 | 	bar() {}
      7 | }

> Output

    `␊
      1 | class A {␊
      2 | 	#foo = String;␊
      3 |␊
      4 | 	bar() {}␊
      5 | }␊
    `

> Error 1/1

    `␊
      1 | class A {␊
    > 2 | 	#foo(v) {␊
        | 	^^^^ private method #foo is equivalent to \`String\`. Use \`String\` directly.␊
      3 | 		return String(v);␊
      4 | 	}␊
      5 |␊
      6 | 	bar() {}␊
      7 | }␊
    `

## Invalid #14
      1 | class A {
      2 | 	static #foo(v) {
      3 | 		return String(v);
      4 | 	}
      5 |
      6 | 	bar() {}
      7 | }

> Output

    `␊
      1 | class A {␊
      2 | 	static #foo = String;␊
      3 |␊
      4 | 	bar() {}␊
      5 | }␊
    `

> Error 1/1

    `␊
      1 | class A {␊
    > 2 | 	static #foo(v) {␊
        | 	^^^^^^^^^^^ static private method #foo is equivalent to \`String\`. Use \`String\` directly.␊
      3 | 		return String(v);␊
      4 | 	}␊
      5 |␊
      6 | 	bar() {}␊
      7 | }␊
    `

## Invalid #15
      1 | object = {
      2 | 	foo(v) {
      3 | 		return String(v);
      4 | 	},
      5 | 	bar
      6 | }

> Output

    `␊
      1 | object = {␊
      2 | 	foo: String,␊
      3 | 	bar␊
      4 | }␊
    `

> Error 1/1

    `␊
      1 | object = {␊
    > 2 | 	foo(v) {␊
        | 	^^^ method 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
      3 | 		return String(v);␊
      4 | 	},␊
      5 | 	bar␊
      6 | }␊
    `

## Invalid #16
      1 | object = {
      2 | 	foo: function(v) {
      3 | 		return String(v);
      4 | 	},
      5 | 	bar
      6 | }

> Output

    `␊
      1 | object = {␊
      2 | 	foo: String,␊
      3 | 	bar␊
      4 | }␊
    `

> Error 1/1

    `␊
      1 | object = {␊
    > 2 | 	foo: function(v) {␊
        | 	^^^^^^^^^^^^^ method 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
      3 | 		return String(v);␊
      4 | 	},␊
      5 | 	bar␊
      6 | }␊
    `

## Invalid #17
      1 | object = {
      2 | 	[function(v) {return String(v);}]: 1,
      3 | }

> Output

    `␊
      1 | object = {␊
      2 | 	[String]: 1,␊
      3 | }␊
    `

> Error 1/1

    `␊
      1 | object = {␊
    > 2 | 	[function(v) {return String(v);}]: 1,␊
        | 	^^^^^^^^^ function is equivalent to \`String\`. Use \`String\` directly.␊
      3 | }␊
    `

## Invalid #18
      1 | const foo = (v, extra) => String(v)

> Error 1/1

    `␊
    > 1 | const foo = (v, extra) => String(v)␊
        |                        ^^ arrow function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
    `

## Invalid #19
      1 | const foo = (v, ) => String(v, extra)

> Error 1/1

    `␊
    > 1 | const foo = (v, ) => String(v, extra)␊
        |                   ^^ arrow function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
    `

## Invalid #20
      1 | const foo = (v, ) => /* comment */ String(v)

> Error 1/1

    `␊
    > 1 | const foo = (v, ) => /* comment */ String(v)␊
        |                   ^^ arrow function 'foo' is equivalent to \`String\`. Use \`String\` directly.␊
    `

## Invalid #1
      1 | array.every(v => v)

> Output

    `␊
      1 | array.every(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.every(v => v)␊
        |               ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #2
      1 | array.filter(v => v)

> Output

    `␊
      1 | array.filter(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.filter(v => v)␊
        |                ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #3
      1 | array.find(v => v)

> Output

    `␊
      1 | array.find(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.find(v => v)␊
        |              ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #4
      1 | array.some(v => v)

> Output

    `␊
      1 | array.some(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.some(v => v)␊
        |              ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #5
      1 | array.findIndex(v => v)

> Output

    `␊
      1 | array.findIndex(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.findIndex(v => v)␊
        |                   ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #6
      1 | array.some(v => v)

> Output

    `␊
      1 | array.some(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.some(v => v)␊
        |              ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #7
      1 | array.some(v => {
      2 | 	return v;
      3 | })

> Output

    `␊
      1 | array.some(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.some(v => {␊
        |              ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
      2 | 	return v;␊
      3 | })␊
    `

## Invalid #8
      1 | array.some(function (v) {
      2 | 	return v;
      3 | })

> Output

    `␊
      1 | array.some(Boolean)␊
    `

> Error 1/1

    `␊
    > 1 | array.some(function (v) {␊
        |            ^^^^^^^^^ function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
      2 | 	return v;␊
      3 | })␊
    `

## Invalid #9
      1 | array.some((v, extra) => v)

> Error 1/1

    `␊
    > 1 | array.some((v, extra) => v)␊
        |                       ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `

## Invalid #10
      1 | array.some((v, ) => /* comment */ v)

> Error 1/1

    `␊
    > 1 | array.some((v, ) => /* comment */ v)␊
        |                  ^^ arrow function is equivalent to \`Boolean\`. Use \`Boolean\` directly.␊
    `
